Exporting users query does not use the query name as file name

2023-01-16 03:19 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

#16207 implemented a feature that uses the query name as a file name when exporting a query, but the fixed name "users.csv" is

still used when exporting a users query.

diff --git a/app/controllers/users_controller.rb b/app/controllers/users_controller.rb

index a6cad6b2f..77ec1a601 100644

--- a/app/controllers/users_controller.rb

+++ b/app/controllers/users_controller.rb

@@ -61,7 +61,7 @@ class UsersController < ApplicationController

         format.csv do

           # Export all entries

           @entries = scope.to_a

-          send_data(query_to_csv(@entries, @query, params), :type => 'text/csv; header=present', 

:filename => 'users.csv')

+          send_data(query_to_csv(@entries, @query, params), :type => 'text/csv; header=present', 

:filename => "#{filename_for_export(@query, 'users')}.csv")

         end

         format.api do

           @offset, @limit = api_offset_and_limit

Related issues:

Related to Redmine - Feature #16207: Use query name as the file name when exp... Closed

Related to Redmine - Feature #37674: Upgrade Admin/Users list to use the quer... Closed

Associated revisions

Revision 22121 - 2023-03-01 09:47 - Go MAEDA

Exporting UserQuery does not use the query name as file name (#37674, #38182).

Patch by Takenori TAKAKI.

History

#1 - 2023-01-16 03:19 - Go MAEDA

- Related to Feature #16207: Use query name as the file name when exporting queries  added

#2 - 2023-01-16 03:20 - Go MAEDA

- Related to Feature #37674: Upgrade Admin/Users list to use the query system added

#3 - 2023-02-01 04:07 - Takenori TAKAKI

- File 38182-with-test.patch added

It's a nice improvement that adds consistency to the download file names.

Attached is a patch with test code.

#4 - 2023-02-01 09:01 - Go MAEDA

- Target version set to 5.1.0

Setting the target version to 5.1.0.
#5 - 2023-03-01 09:47 - Go MAEDA

- Status changed from New to Closed

- Target version deleted (5.1.0)

- Resolution set to Fixed

Committed the fix as a part of #37674.

Files

38182-with-test.patch 1.71 KB 2023-02-01 Takenori TAKAKI
